std::mutex Class Reference
Mutexes

Inherits std::__mutex_base.

## Public Types

typedef __native_type * | native_handle_type

## Public Member Functions

| mutex (const mutex &)=delete
void | lock ()
native_handle_type | native_handle ()
mutex & | operator= (const mutex &)=delete
bool | try_lock () noexcept
void | unlock ()

## Private Types

typedef __gthread_mutex_t | __native_type

## Private Attributes

__native_type | _M_mutex

## Detailed Description

mutex

Definition at line 117 of file mutex.

The documentation for this class was generated from the following file:

- mutex